<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

<head th:replace="fragments/header :: head"><title></title></head>

<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <main class="page catalog-page">
        <section class="clean-block clean-catalog dark">
            <div class="container">
                <div class="block-heading">
                    <h2><a class="text-info" th:if="${category != null}" th:href="@{/catalog/{id}(id=${category.category.parentCategoryId})}" th:text="${category.localizedName}">Current category name</a></h2>
                </div>
                <div class="content">
                    <div class="row">
                        <form class="col-md-3" th:object="${filterCriteria}" method="POST"
                              action="#" th:action="@{/catalog/{id}(id=${category.category.id})}">
                            <div class="d-none d-md-block">
                                <div class="filters">
                                    <fieldset>
                                        <div class="filter-item">
                                            <h3 th:text="#{label.producer}">Producer</h3>
                                            <div class="form-check" th:each="producer, itemStat : *{producers.parameters}">
                                                <input hidden
                                                       th:field="*{producers.parameters[__${itemStat.index}__].id}">
                                                <input hidden
                                                       th:field="*{producers.parameters[__${itemStat.index}__].name}">
                                                <input class="form-check-input" type="checkbox"
                                                       th:field="*{producers.parameters[__${itemStat.index}__].selected}">
                                                <label class="form-check-label" th:text="${producer.name}">Producer</label>
                                            </div>
                                        </div>
                                        <div class="filter-item" th:each="parameterType, itemStat : *{parameterTypes}">
                                            <h3 th:text="*{parameterTypes[__${itemStat.index}__].name}">Categories</h3>
                                            <input hidden
                                                   th:field="*{parameterTypes[__${itemStat.index}__].name}">
                                            <div class="form-check" th:each="parameter, itemStat2 : *{parameterTypes[__${itemStat.index}__].parameters}">
                                                <input hidden
                                                       th:field="*{parameterTypes[__${itemStat.index}__].parameters[__${itemStat2.index}__].id}">
                                                <input hidden
                                                       th:field="*{parameterTypes[__${itemStat.index}__].parameters[__${itemStat2.index}__].name}">
                                                <input class="form-check-input" type="checkbox"
                                                       th:field="*{parameterTypes[__${itemStat.index}__].parameters[__${itemStat2.index}__].selected}">
                                                <label class="form-check-label" th:text="${parameter.name}">Phones</label>
                                            </div>
                                        </div>
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="submit">Filter</button>
                                        </div>
                                    </fieldset>
                                </div>
                            </div>
                            <div class="d-md-none"><a class="btn btn-link d-md-none filter-collapse" data-toggle="collapse" aria-expanded="false" aria-controls="filters" href="#filters" role="button">Filters<i class="icon-arrow-down filter-caret"></i></a>
                                <div class="collapse"
                                    id="filters">
                                    <div class="filters">
                                        <div class="filter-item">
                                            <h3>Categories</h3>
                                            <div class="form-check"><input class="form-check-input" type="checkbox" id="formCheck-1"><label class="form-check-label" for="formCheck-1">Phones</label></div>
                                            <div class="form-check"><input class="form-check-input" type="checkbox" id="formCheck-2"><label class="form-check-label" for="formCheck-2">Laptops</label></div>
                                            <div class="form-check"><input class="form-check-input" type="checkbox" id="formCheck-3"><label class="form-check-label" for="formCheck-3">PC</label></div>
                                            <div class="form-check"><input class="form-check-input" type="checkbox" id="formCheck-4"><label class="form-check-label" for="formCheck-4">Tablets</label></div>
                                        </div>
                                        <div class="filter-item">
                                            <h3>Brands</h3>
                                            <div class="form-check"><input class="form-check-input" type="checkbox" id="formCheck-5"><label class="form-check-label" for="formCheck-5">Samsung</label></div>
                                            <div class="form-check"><input class="form-check-input" type="checkbox" id="formCheck-6"><label class="form-check-label" for="formCheck-6">Apple</label></div>
                                            <div class="form-check"><input class="form-check-input" type="checkbox" id="formCheck-7"><label class="form-check-label" for="formCheck-7">HTC</label></div>
                                        </div>
                                        <div class="filter-item">
                                            <h3>OS</h3>
                                            <div class="form-check"><input class="form-check-input" type="checkbox" id="formCheck-8"><label class="form-check-label" for="formCheck-8">Android</label></div>
                                            <div class="form-check"><input class="form-check-input" type="checkbox" id="formCheck-9"><label class="form-check-label" for="formCheck-9">iOS</label></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>

                        <div class="col-md-9">
                            <div class="products">
                                <div class="row no-gutters" th:if="${productList != null}">
                                    <div class="col-12 col-md-6 col-lg-4" th:each="product : ${productList.content}">
                                        <div class="clean-product-item">
                                            <div class="float-right" th:if="${session.selectedProducts != null}">
                                                <a class="btn" type="button" th:href="@{../shopping-cart/add/{productId}(productId=${product.id}, url=${{#httpServletRequest.requestURI}})}"
                                                   th:classappend="${session.selectedProducts.quantities.containsKey(product.id)} ? 'btn-warning' : 'btn-light'" >
                                                    <!--<input class="form-check-input" type="checkbox" id="check-product" targetUrl="shopping-cart/add/"
                                                           th:checked="${session.selectedProducts.quantities.containsKey(product.id)}"
                                                           th:value="${product.id}" aria-label="...">-->
                                                    <img class="img-fluid d-block mx-auto" src="/static/img/shopping-cart.png" th:src="@{/img/shopping-cart.png}" alt="">
                                                </a>
<!--                                                th:onclick="${window.location.assign('../shopping-cart/add/' + product.id)}"-->
                                            </div>
                                            <div class="image">
                                                <a th:href="@{../product-page/{productId}(productId = ${product.id})}">
                                                    <img class="img-fluid d-block mx-auto" src="/static/img/tech/image2.jpg" th:src="@{${product.imagePath}}" alt="">
                                                </a>
                                            </div>
                                            <div class="product-name">
                                                <a th:href="@{../product-page/{productId}(productId = ${product.id})}" th:text="${product.producer.name + ' ' + product.name}">Lorem ipsum dolor sit amet</a>
                                            </div>
                                            <small th:text="${product.parametersString}"></small>
                                            <div class="about">
                                                <div class="price float-right">
                                                    <h3 th:text="${#numbers.formatDecimal(product.price, 1, 'WHITESPACE', 2, 'COMMA')}">$100</h3>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <nav>
                                    <ul th:if="${productList.totalPages > 0}" class="pagination">
                                        <li th:each="pageNumber : ${pageNumbers}" th:class="${pageNumber==productList.number + 1} ? 'page-item active' : 'page-item'">
                                            <a class="page-link" href="#"
                                               th:href="@{/catalog/{id}(id=${category.category.id}, size=${productList.size}, page=${pageNumber})}"
                                               th:text="${pageNumber}">3</a>
                                        </li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    <footer th:replace="fragments/footer:: footer(_)"></footer>

</body>

</html>